Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Проблемы с пакетами, обновлением  (Прочитано 1429 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Юнатан

  • Автор темы
  • Новичок
  • *
  • Сообщений: 13
  • Начинающий линуксоид
    • Просмотр профиля
Проблемы с пакетами, обновлением
« : 19 Апрель 2010, 01:28:43 »
Сегодня очень криво обнавил Ubuntu (во время обнавления случайно ребутнул, при последуещей попытке дообнавится комп завис и я его опять ребутнул), потом еще долго пытался сам чинить через рекавери мод, добился того, что смог загрузиться в обычный режим, хотя кажется еще что-то сломал. В общем, заимел место ряд проблем, но на данный момент мне нужно решить одну: установка/удаление программ не хочет запускаться, стопорится на генерировании зависимостей с ошибкой:
(Нажмите, чтобы показать/скрыть)
В синаптике пакетов с ошибками два: python-pyatspi и jockey-gtk. Что с ними делать я понятия не имею.
Выполнение sudo apt-get update обрывается так:
(Нажмите, чтобы показать/скрыть)
, а sudo apt-get install -f вот так:
(Нажмите, чтобы показать/скрыть)
.
Подскажите плиз, кто хоть что-то понимает, что делать. Если нужны дополнительные данные - спрашивайте.

Оффлайн Nomadian

  • Участник
  • *
  • Сообщений: 232
    • Просмотр профиля
Re: Проблемы с пакетами, обновлением
« Ответ #1 : 19 Апрель 2010, 01:32:31 »
Пропробуй:
sudo apt-get cleanЭто приведёт к очистке кэшей пакетов.

Затем уже:
sudo apt-get install -f

Оффлайн Юнатан

  • Автор темы
  • Новичок
  • *
  • Сообщений: 13
  • Начинающий линуксоид
    • Просмотр профиля
Re: Проблемы с пакетами, обновлением
« Ответ #2 : 19 Апрель 2010, 01:35:34 »
Сделал (sudo apt-get clean ведь не должно ничем отвечать?), но sudo apt-get install -f все равно обрывается этим:
(Нажмите, чтобы показать/скрыть)

Оффлайн Nomadian

  • Участник
  • *
  • Сообщений: 232
    • Просмотр профиля
Re: Проблемы с пакетами, обновлением
« Ответ #3 : 19 Апрель 2010, 01:45:21 »
Поскольку твоя система ругается на Medibuntu (packages.medibuntu.org), можно попробовать переустановить этот репозиторий. Кстати, непосредственно ссылка packages.medibuntu.org сейчас(?) действительно недоступна - apt не врёт.

Если из консоли, то:
1) Стираем medibuntu.list
sudo rm /etc/apt/sources.list.d/medibuntu.list
2) Ставим medibuntu.list по новой:
sudo wget --output-document=/etc/apt/sources.list.d/medibuntu.list http://www.medibuntu.org/sources.list.d/$(lsb_release -cs).list && sudo apt-get --quiet update && sudo apt-get --yes --quiet --allow-unauthenticated install medibuntu-keyring && sudo apt-get --quiet update
3) Пытаемся выполнить sudo apt-get update... Если всё получилось, из трёх строчек ругани останется одна. Это уже лучше, хотя и не идеально.


P.S.: А зачем тебе бета-версия Wine с http://wine.budgetdedicated.com? (четвёртая ошибка) Может, лучше стабильный Wine из репозиториев?
« Последнее редактирование: 19 Апрель 2010, 01:52:53 от Nomadian »

Оффлайн Юнатан

  • Автор темы
  • Новичок
  • *
  • Сообщений: 13
  • Начинающий линуксоид
    • Просмотр профиля
Re: Проблемы с пакетами, обновлением
« Ответ #4 : 19 Апрель 2010, 02:00:22 »
Теперь  sudo apt-get update кончается так:
(Нажмите, чтобы показать/скрыть)

Пользователь решил продолжить мысль 19 Апрель 2010, 02:02:17:
Кстати, при запуске система-админ.-язык системы выдается такая ошибка:
(Нажмите, чтобы показать/скрыть)
и оно не запускается.
« Последнее редактирование: 19 Апрель 2010, 02:02:17 от Юнатан »

Оффлайн Nomadian

  • Участник
  • *
  • Сообщений: 232
    • Просмотр профиля
Re: Проблемы с пакетами, обновлением
« Ответ #5 : 19 Апрель 2010, 13:03:33 »
Пакеты от Medibuntu недоступны уже третьи сутки.

О причине можно только догадываться: на их сайте тишина. Однако, не исключено, что у них авария или обновление сервера.

Вариант: снести репозиторий, добавив его после, когда начнёт откликаться (для проверки можно хоть в браузере периодически на [url=http://packages.medibuntu.org]packages.medibuntu.org
пытаться зайти.)

Про wine: снести из системы и поставить заново. Вообще-то, imho, он не должен напрямую из репозитория http://wine.budgetdedicated.com/ пакеты брать. Обычно они качаются из стандартных репозиториев. То есть надо поискать в /etc/apt/sources.list.d/  файл  *.list, с информацией о репе на wine.budgetdedicated.com, да и отключить, например, сменив расширение... А потом... sudo apt-get install wine.

 

Страница сгенерирована за 0.054 секунд. Запросов: 22.